curl --request POST \
--url https://api.chift.eu/consumers/{consumer_id}/commerce/orders \
--header 'Content-Type: application/json' \
--data '
{
"customer": {
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"phone": "<string>",
"internal_notes": "<string>"
},
"billing_address": {
"first_name": "<string>",
"last_name": "<string>",
"street": "<string>",
"number": "<string>",
"city": "<string>",
"country": "<string>",
"box": "<string>",
"postal_code": "<string>",
"phone": "<string>",
"email": "<string>"
},
"shipping_address": {
"first_name": "<string>",
"last_name": "<string>",
"street": "<string>",
"number": "<string>",
"city": "<string>",
"country": "<string>",
"box": "<string>",
"postal_code": "<string>",
"phone": "<string>",
"email": "<string>"
},
"currency": "<string>",
"lines": [
{
"variant_id": "<string>",
"quantity": 123,
"tax_rate": 123,
"unit_price": 123
}
],
"note": "<string>",
"payment_method": "<string>"
}
'import requests
url = "https://api.chift.eu/consumers/{consumer_id}/commerce/orders"
payload = {
"customer": {
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"phone": "<string>",
"internal_notes": "<string>"
},
"billing_address": {
"first_name": "<string>",
"last_name": "<string>",
"street": "<string>",
"number": "<string>",
"city": "<string>",
"country": "<string>",
"box": "<string>",
"postal_code": "<string>",
"phone": "<string>",
"email": "<string>"
},
"shipping_address": {
"first_name": "<string>",
"last_name": "<string>",
"street": "<string>",
"number": "<string>",
"city": "<string>",
"country": "<string>",
"box": "<string>",
"postal_code": "<string>",
"phone": "<string>",
"email": "<string>"
},
"currency": "<string>",
"lines": [
{
"variant_id": "<string>",
"quantity": 123,
"tax_rate": 123,
"unit_price": 123
}
],
"note": "<string>",
"payment_method": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
customer: {
email: '<string>',
first_name: '<string>',
last_name: '<string>',
phone: '<string>',
internal_notes: '<string>'
},
billing_address: {
first_name: '<string>',
last_name: '<string>',
street: '<string>',
number: '<string>',
city: '<string>',
country: '<string>',
box: '<string>',
postal_code: '<string>',
phone: '<string>',
email: '<string>'
},
shipping_address: {
first_name: '<string>',
last_name: '<string>',
street: '<string>',
number: '<string>',
city: '<string>',
country: '<string>',
box: '<string>',
postal_code: '<string>',
phone: '<string>',
email: '<string>'
},
currency: '<string>',
lines: [{variant_id: '<string>', quantity: 123, tax_rate: 123, unit_price: 123}],
note: '<string>',
payment_method: '<string>'
})
};
fetch('https://api.chift.eu/consumers/{consumer_id}/commerce/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Create an order
Create a new order
Path Parameters
Body
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Indicates the currency of the order (e.g. EUR).
1Show child attributes
Show child attributes
If filled in the order will be marked as paid and processed by this payment method.
Response
Successful Response
Technical id in Chift
Technical id in the target software
Show child attributes
Show child attributes
cancelled_unpaid, cancelled, draft, confirmed, shipped, refunded Untaxed amount without fees (e.g. shipping) but with discout. Refunds and returns are not included.
Total taxes applied to the order without taxes linked to fees (e.g. shipping).
Total of the order without fees (e.g. shipping) but with discount. Refunds and returns are not included.
Untaxed amount with discout and any kind of fee (e.g. shipping). After returns, removes and returns.
Total taxes applied to the order. After returns, removes and returns.
Current total of the order with discount. After returns, removes and returns.
Untaxed amount with discout and any kind of fee (e.g. shipping). Refunds and returns are not included.
Total taxes applied to the order. Refunds and returns are not included.
Total of the order with discount. Refunds and returns are not included.
Indicates the currency of the order (e.g. EUR).
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Technical id of the payment method in the eCommerce
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes